%define upstream_name    Net-Rendezvous-Publish
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Module to publish Rendezvous services 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(Class::Accessor::Lvalue) 
BuildRequires:  perl(Module::Pluggable)
BuildArch: noarch

# (misc) so far,only howl backend is packaged
# maybe splitting the null backend would be cleaner ?
Requires:    perl-Net-Rendezvous-Publish-Backend

%description
Net::Rendezvous::Publish allows you to publish Zeroconf ( or Rendezvous, or
Bonjour ) services, using a mDNS responder

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes *META.*
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-9.mga6
+ Revision: 1031313
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-8.mga6
+ Revision: 949256
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.40.0-7.mga5
+ Revision: 789284
- Distribute META.yml to get dependencies

* Sat Oct 18 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 787602
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 746497
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 685713
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513506
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 34031
- mageia rebuild
- imported package perl-Net-Rendezvous-Publish


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 406174
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.04-5mdv2009.0
+ Revision: 241789
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.04-3mdv2008.0
+ Revision: 25202
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Wed Feb 01 2006 Michael Scherer <misc@mandriva.org> 0.04-1mdk
- New release 0.04

* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.03-3mdk
- Do not ship empty dir

* Fri Sep 23 2005 Michael Scherer <misc@mandriva.org> 0.03-2mdk
- requires a backend module ( such as howl backend, or avahi, once someone write it )

* Wed Sep 21 2005 Michael Scherer <misc@mandriva.org> 0.03-1mdk
- First mandriva package

